#!/bin/bash

APP_HOME="$(cd `dirname $0` && pwd)"
CLASSPATH="${APP_HOME}/update/bootstrap.jar"
OPTS=$*

check_file_exists() {
    if [ ! -f "$1" ]; then
	echo "Некорректная установка: отсутствует необходимый для запуска файл"
	exit 1
    fi
}


try_to_start_app() {
    JAVA_EXE="$1/bin/java"
    if [ -x "${JAVA_EXE}" ]; then
	#DEBUG
	#echo "JAVA_HOME: $1"
	"${JAVA_EXE}" -cp "${CLASSPATH}" ${OPTS} -Dfct.schools.home="${APP_HOME}" \
        -Djava.util.logging.config.file="${APP_HOME}/config/logging.properties" \
        ru.tssoft.fct.schools.bootstrap.Bootstrapper &
        exit 0
    fi
}

#DEBUG
#echo "APP_HOME: ${APP_HOME}"

check_file_exists "${APP_HOME}/update/bootstrap.jar"
#check_file_exists "${APP_HOME}/lib/application.jar"
#check_file_exists "${APP_HOME}/lib/derby.jar"

try_to_start_app "${APP_HOME}/jre"
try_to_start_app "${JRE_HOME}"
try_to_start_app "${JAVA_HOME}"
try_to_start_app "/usr"

echo "Некорректная установка: не удается найти виртуальную машину"
exit 2
